安装ROS系统中配置问题以及相关的错误

1.在Linux系统中安装QQ

网上有很多关于安装QQ for linux的教程,但是也有一些博客可能因为版本问题,无法安装成功。下边是一位前辈的教程,亲测有用,此处转载一下,侵权即删
QQ for linux最新版安装(ubuntu)

2.Ubuntu下连接raw.githubusercontent.com失败

此处是参照博客(侵权即删) Ubuntu下连接raw.githubusercontent.com失败
不过我在这里补充一部分:
错误是:

Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|0.0.0.0|:443... failed: Connection refused.

在 https://site.ip138.com/raw.Githubusercontent.com/

输入raw.githubusercontent.com查询IP地址,将相关的地址复制一下如上图,复制任意一个都行,我复制的是中国香港的
然后在终端输入

sudo gedit /etc/hosts

在最后一行修改或者添加

151.101.76.133  raw.githubusercontent.com

前边这个网址是需要你自己从刚才网站复制的,添加完记得点右上角的保存
结果如图:
这样再运行就不会出错了。但是保证有一个良好的网速,不然会出现timeout超时的错误,依旧安装不了。

3.安装rosinstall时出现有些库不满足依赖关系unmet dependencies

The following information may help to resolve the situation:

The following packages have :
python-rosinstall-generator : Depends: python-catkin-pkg but it is not going to be installed
Depends: python-rosdistro (>= 0.2.13) but it is not going to be installed
Depends: python-rospkg but it is not going to be installed

按照他下边的提示,有三个库没有安装,依次把他们安装就可以了

sudo apt install python-rospkg
sudo apt install python-catkin-pkg
sudo apt-get install python-rosdistro

还有好多遇到的问题,当时改完就没记住,以后再遇到错误慢慢更新吧。

©️2020 CSDN 皮肤主题: 深蓝海洋 设计师:CSDN官方博客 返回首页